Subject: Re: [PATCH] ARM: dts: imx6qdl: only enable pcie in the pcie dts file

From: Shawn Guo <[email-masked]>
Date: Mon, 13 Jul 2020 14:48:52 +0800

On Mon, Jul 06, 2020 at 04:44:41PM +0800, Richard Zhu wrote:
> Since iMX6Q/DL PCIe has the PM limitation (ERR005723 "PCIe PCIe does
> not support L2 Power Down").
> System suspend/resume would be broken by PCIe, if PCIe is enabled.
> Only enable PCIe in the xxx-pcie.dts files to avoid the brokens when
> other xxx.dtb files are used on sabresd and sabreauto boards.
> 
> Signed-off-by: Richard Zhu <[email-masked]>
> ---
>  arch/arm/boot/dts/Makefile                  |  4 ++++
>  arch/arm/boot/dts/imx6dl-sabreauto-pcie.dts | 12 ++++++++++++
>  arch/arm/boot/dts/imx6dl-sabresd-pcie.dts   | 12 ++++++++++++
>  arch/arm/boot/dts/imx6q-sabreauto-pcie.dts  | 12 ++++++++++++
>  arch/arm/boot/dts/imx6q-sabresd-pcie.dts    | 12 ++++++++++++
>  arch/arm/boot/dts/imx6qdl-sabreauto.dtsi    |  4 ----
>  arch/arm/boot/dts/imx6qdl-sabresd.dtsi      |  1 -
>  7 files changed, 52 insertions(+), 5 deletions(-)
>  create mode 100644 arch/arm/boot/dts/imx6dl-sabreauto-pcie.dts
>  create mode 100644 arch/arm/boot/dts/imx6dl-sabresd-pcie.dts
>  create mode 100644 arch/arm/boot/dts/imx6q-sabreauto-pcie.dts
>  create mode 100644 arch/arm/boot/dts/imx6q-sabresd-pcie.dts

No.  There are hundreds of boards based on i.MX6Q/DL.  We are not going
to maintain a -pcie.dts for every single one of them.

Shawn

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel